AUTHDUMP(8)

NAME
authdup, authload - dump and load authentication database information

SYNOPSIS
authdump [> file]

authload [< file]

DESCRIPTION
authdump dumps the contents of the authentication database to stdout or the specified file. authdump reads the database and displays the following information for each user:

    •   user name

    •   longname

    •   groups

    •   password

    •   flags

    •   number of bad logins

    •   authentication protocol

    •   last authentication time

    •   time of last password change

authload reads in a file of user information. If authload finds an existing record with a matching user name, it replaces the record with the new information. If authload does not find a matching record, it adds the information to the authentication database.

You can use authdump with your other UNIX administration tools to create regular backups of the authentication database. You can use authload to exchange information with other OpenFWTK firewalls (and, to some extent, with Gauntlet and TIS fwtk). See authsrv(8) for more information on the authentication management system.

OPTIONS

  Command Line Options
None in this version. file Specifies the name of the file into which authdump places the records from the authentication database and authload reads the records that it places into the authentication database.

  Configuration Options
authdump and authload read configuration rules from the /usr/local/etc/netperm-table. They read all rules using the authsrv keyword. authdump and authload read the netperm-table from top to bottom. If there are multiple rules in the table that could apply for a particular attribute, authdump and authload use the first one that they find. See netperm-table(5) for a more complete explanation of netperm-table syntax and precedence.

authdump and authload recognize the following attributes:

database path
    Specifies the pathname of the database that authdump or authload uses.

EXAMPLES
This example shows the configuration lines in the netperm-table that indicate that authdump and authload use the database in /usr/local/etc/fw-authdb :

    authsrv:        database /usr/local/etc/fw-authdb

This example shows the output from authdump :

    user=fwadmin
    longname=
    group=
    pass=*
    flags=2
    bad_count=0
    proto=s
    last=832619508
    user=scooter
    longname=Scooter Lindley
    group=
    pass=160 270 203 065 022 034 232 162
    flags=0
    bad_count=0
    proto=d
    last=832619427

FILES

/usr/local/etc/netperm-table
    The network permissions file contains configuration information for the Firewall Toolkit, including authdump.

BUGS
OpenFWTK's authdump and authload are not fully compatible with TIS firewalls (fwtk and Gauntlet). The differences are:

•   OpenFWTK allows multiple groups per user, while TIS firewalls allow only one.

•   OpenFWTK stores s/key and SecurID hashes inside main authentication database, while TIS firewalls use external ones.

It means that:

•   It is not possible to keep SecurID and s/key authentication data when using authdump/authload to migrate from TIS firewalls to OpenFWTK.

•   It is not possible to export OpenFWTK authentication database and to load it into TIS firewalls, as TIS version of authload won't accept data format which differs from their own, even if no extended features are used.

Report bugs to the fwtk-users mailing list. Include a complete example, explaining what you expected to happen and what actually happened. Be sure to indicate the type of system (operating system, hardware, etc.) you are using, as well as the version of authdump or authload .

AUTHOR
Alexei Kravchuk.

SEE ALSO
netperm-table(5), rc(8), authsrv(8)